#include <stdio.h>
#include "test_case.h"

void getCurrentEnv()
{
    PyRun_SimpleString("import sys");
    PyRun_SimpleString("sys.path.append('./')");
}

int main(int argc, const char* argv[])
{
    printf("argc => %d \r\n", argc);
    printf("argv => %s \r\n\r\n", *argv);

    printf("%s \r\n\r\n", Py_GetVersion());

    test_SimpleString();                    // 执行一行python脚本语句
    test_CallFunction();                    // repl 一条语句一条语句地执行
    test_CallPythonFunction();              // 测试调用python脚本里面的函数
    test_CallModuleFunction();              // 调用模块中的一个普通函数
    test_CallModuleFunctionByParameters();  // 调用模块中的一个函数（多參数，带返回值）
    test_CallModuleClass();                 // 调用模块中简单的一个类（单个返回值）
    test_CallModuleClassReturnTuple();      // 调用模块中一个简单的类（返回值是个元组）
    test_CallScript();                      // 调用一个python脚本
    test_StartServer();

    system("PAUSE");
    return 0;
}
