#include "test_case.h"

void test_CallModuleClass() {
    printf("=======> test funtion %s come in <========\r\n", __FUNCTION__);

    Py_Initialize();
    getCurrentEnv();

    PyObject *pModule = NULL, *pDict = NULL, *pClass = NULL, *pInstance = NULL, *result = NULL;
    pModule = PyImport_ImportModule("demo");                                // 引入模块
    pDict = PyModule_GetDict(pModule);                                      // 获取模块字典属性
    pClass = PyDict_GetItemString(pDict, "Class_A");                        // 通过字典属性获取模块中的类
    pInstance = PyObject_CallObject(pClass, NULL);                          // 实例化获取的类
    result = PyObject_CallMethod(pInstance, "func", "(s)", "python_xxx");   // 调用类的方法
    char* name = NULL;
    PyArg_Parse(result, "s", &name);                                        // 将python类型的返回值转换为c/c++类型
    printf("%s\n", name);

    Py_Finalize();

    printf("=======> test funtion %s leave out <========\r\n\r\n\r\n", __FUNCTION__);
}
