#include "test_case.h"

void test_CallModuleFunctionByParameters() {
    printf("=======> test funtion %s come in <========\r\n", __FUNCTION__);

    Py_Initialize();

    getCurrentEnv();

    PyObject *pModule = NULL, *pDict = NULL, *pFunc = NULL, *pArg = NULL, *result = NULL;
    pModule = PyImport_ImportModule("demo");    // 引入模块
    pDict = PyModule_GetDict(pModule);          // 获取模块字典属性 //相当于Python模块对象的__dict__ 属性，得到模块名称空间下的字典对象
    pFunc = PyDict_GetItemString(pDict, "add"); // 从字典属性中获取函数
    pArg = Py_BuildValue("(i, i)", 1, 2);       // 參数类型转换，传递两个整型參数
    result = PyEval_CallObject(pFunc, pArg);    // 调用函数。并得到python类型的返回值
    int sum;
    PyArg_Parse(result, "i", &sum);             // 将python类型的返回值转换为c/c++类型
    printf("sum = %d\n", sum);

    Py_Finalize();

    printf("=======> test funtion %s leave out <========\r\n\r\n\r\n", __FUNCTION__);
}
